define(["require", "exports", "../../Styling", "../../utilities/styling/index"], function (require, exports, Styling_1, index_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.getStyles = function (props) {
        var className = props.className, isButton = props.isButton, isDisabled = props.isDisabled, theme = props.theme;
        var semanticColors = theme.semanticColors;
        return {
            root: [
                'ms-Link',
                className,
                Styling_1.getFocusStyle(theme),
                {
                    color: semanticColors.link,
                },
                isButton && {
                    background: 'none',
                    border: 'none',
                    cursor: 'pointer',
                    display: 'inline',
                    fontSize: 'inherit',
                    margin: 0,
                    overflow: 'inherit',
                    padding: 0,
                    textAlign: 'left',
                    textOverflow: 'inherit',
                    userSelect: 'text',
                    borderBottom: '1px solid transparent',
                    selectors: (_a = {},
                        _a[index_1.HighContrastSelector] = {
                            color: 'LinkText',
                            forcedColorAdjust: 'none'
                        },
                        _a)
                },
                !isButton && {
                    textDecoration: 'none'
                },
                isDisabled && [
                    'is-disabled',
                    {
                        color: semanticColors.disabledText,
                        cursor: 'default'
                    },
                    {
                        selectors: {
                            '&:link, &:visited': {
                                pointerEvents: 'none'
                            }
                        }
                    }
                ],
                !isDisabled && {
                    selectors: {
                        '&:active, &:hover, &:active:hover': {
                            color: semanticColors.linkHovered,
                            selectors: (_b = {},
                                _b[index_1.HighContrastSelector] = {
                                    color: 'LinkText'
                                },
                                _b),
                        },
                        '&:focus': {
                            color: semanticColors.link,
                            selectors: (_c = {},
                                _c[index_1.HighContrastSelector] = {
                                    color: 'LinkText'
                                },
                                _c),
                        }
                    }
                }
            ]
        };
        var _a, _b, _c;
    };
});
//# sourceMappingURL=Link.styles.js.map